#!/usr/bin/perl
use warnings;
use strict;
use ExtUtils::MakeMaker;

WriteMakefile(
	NAME	=> 'SatUtils',
	EXE_FILES => [qw(d2-getvalue dw6000-getvalue dsumap satctl
	                 d2-reboot dw6000-reboot)],
	VERSION	=> getversion(),
	AUTHOR	=> 'Joey Hess <joey@kitenet.net>',
);

# The version is pulled from the debian changelog, to avoid having to keep
# two copies synced.
sub getversion {
	open(DCH, "debian/changelog") or die "debian/changelog: $!";
	$_=<DCH>;
	my ($vers) = m/\((.+)\)/;
	die "no version" unless length $vers;
	return $vers;
}
